Subject: bug#9867: 24.0.90; quit-window should provide quit-window-hook

From: martin rudalics <[email-masked]>
Date: Thu, 22 Aug 2019 10:08:23 +0200

>> - Make it either an abnormal hook run with the window quit as argument
 >>    or run it from 'quit-window' but then only if it quits the selected
 >>    window.
 >
 > I was going back and forth on whether to call the hook from
 > `quit-window' or `quit-restore-window', so I ended up with invalid vode
 > in the latter.  Thinking about it a bit more, I think it makes more
 > sense to just run it from the former command -- other callers that call
 > `quit-restore-window' should perhaps call that hook manually (or not) at
 > all.
 >
 > I'll move the hook over.

But it's still misconfigured when WINDOW is not the selected window:
The function run by the hook would not know which window is quit and
which is its buffer.

 >> - Fix the reference to the non-existent function 'quit-buffer'.
 >
 > OK; done.

Thanks.

martin